/*
 * Emergency.h
 *
 *  Created on: 2024. 4. 18.
 *      Author: SUPYO
 */



#ifndef VEHICLE_SYSTEM_MODE_EMERGENCY_

#define VEHICLE_SYSTEM_MODE_EMERGENCY_    extern


#include "stdint.h"

#endif /* VEHICLE_SYSTEM_MODE_LAYER_BMS_SOC_ */


//--------------------------------- functions----------------------------------//

VEHICLE_SYSTEM_MODE_EMERGENCY_ void Emergency_braking_LAMP(void);
VEHICLE_SYSTEM_MODE_EMERGENCY_ void Emergency_braked_LAMP(void);
VEHICLE_SYSTEM_MODE_EMERGENCY_ void Emergency_Stop_by_butten_Mode_Func(void);
